"There were errors" message while configuring ERPNext

Hi,

I have reinstalled ERPNext after having problems in my first attempt. The installations went fine and I ran ‘bench update’ to make sure it is latest. After that did ‘bench start’ and accessed the initial setup wizard

However the wizard failed with cryptic error message “There were errors”. Re-entering some of the fields didn’t help, so I restarted bench. The same error happened again. There weren’t anything useful in the console log. Not sure the following messages are any indication of problem, but couldn’t find anything suspicious other than this:
01:44:20 web.1 | * Detected change in ‘/home/spoojary/frappe-bench/apps/erpnext/erpnext/accounts/doctype/account/chart_of_accounts/verified/init.py’, reloading
01:44:20 worker_default.1 | 01:44:20 default: Job OK (4d254252-53ed-4b7f-8428-59255536d96f)
01:44:20 worker_default.1 | 01:44:20 Result is kept for 500 seconds
01:44:20 web.1 | INFO:werkzeug: * Detected change in ‘/home/spoojary/frappe-bench/apps/erpnext/erpnext/accounts/doctype/account/chart_of_accounts/verified/init.py’, reloading
01:44:20 web.1 | * Detected change in ‘/home/spoojary/frappe-bench/apps/erpnext/erpnext/accounts/doctype/account/chart_of_accounts/verified/init.py’, reloading
01:44:20 web.1 | INFO:werkzeug: * Detected change in ‘/home/spoojary/frappe-bench/apps/erpnext/erpnext/accounts/doctype/account/chart_of_accounts/verified/init.py’, reloading
01:44:20 web.1 | * Detected change in ‘/home/spoojary/frappe-bench/apps/erpnext/erpnext/accounts/doctype/account/chart_of_accounts/verified/standard_chart_of_accounts.py’, reloading
01:44:20 web.1 | INFO:werkzeug: * Detected change in ‘/home/spoojary/frappe-bench/apps/erpnext/erpnext/accounts/doctype/account/chart_of_accounts/verified/standard_chart_of_accounts.py’, reloading
01:44:20 web.1 | * Detected change in ‘/home/spoojary/frappe-bench/apps/erpnext/erpnext/accounts/doctype/account/chart_of_accounts/verified/standard_chart_of_accounts.py’, reloading
01:44:20 web.1 | INFO:werkzeug: * Detected change in ‘/home/spoojary/frappe-bench/apps/erpnext/erpnext/accounts/doctype/account/chart_of_accounts/verified/standard_chart_of_accounts.py’, reloading
01:44:20 worker_default.1 | 01:44:20

I was using chrome, so tried firefox. For some reason firefox couldn’t even access the webpage. Wondering whether this is a known issue or I should be restricting myself to a tested version…

Retested couple of times with no success. In recent test, observed

09:31:58 worker_default.1 | 09:31:58 *** Listening on default…
09:31:59 web.1 | Exception in thread Thread-2 (most likely raised during interpreter shutdown):
09:31:59 web.1 | Traceback (most recent call last):
09:31:59 web.1 | File “/usr/lib/python2.7/threading.py”, line 801, in __bootstrap_inner
09:31:59 web.1 | File “/home/spoojary/frappe-bench/env/local/lib/python2.7/site-packages/watchdog/observers/api.py”, line 236, in run
09:31:59 web.1 | File “/home/spoojary/frappe-bench/env/local/lib/python2.7/site-packages/watchdog/observers/api.py”, line 401, in dispatch_events
09:31:59 web.1 | File “/usr/lib/python2.7/Queue.py”, line 177, in get
09:31:59 web.1 | File “/usr/lib/python2.7/threading.py”, line 355, in wait
09:31:59 web.1 | <type ‘exceptions.TypeError’>: ‘NoneType’ object is not callable

Any help to resolve is greatly appreciated…

In an attempt to resolve it, I dropped the site, removed entire frappe-bench directory and restarted the process. However the error still persists. While setting up, noticed following anomalies. Not really sure whether that has anything to do with this error…

spoojary@spoojary-home:~ $ bench init frappe-bench && cd frappe-bench

npm WARN enoent ENOENT: no such file or directory, open ‘/home/spoojary/frappe-bench/package.json’
npm WARN frappe-bench No description
npm WARN frappe-bench No repository field.
npm WARN frappe-bench No README data
npm WARN frappe-bench No license field.

Wrote ./assets/css/web_form.css - 24k
did not find /home/spoojary/frappe-bench/apps/frappe/frappe/public/js/lib/notify.js
did not find /home/spoojary/frappe-bench/apps/frappe/frappe/public/js/lib/tag-it.min.js
Wrote ./assets/js/libs.min.js - 807k
Wrote ./assets/css/desk.min.css - 279k

spoojary@spoojary-home:~/frappe-bench $ bench get-app erpnext https://github.com/frappe/erpnext
INFO:bench.app:getting app erpnext

Wrote ./assets/js/desk.min.js - 290k
did not find /home/spoojary/frappe-bench/apps/frappe/frappe/public/js/lib/notify.js
did not find /home/spoojary/frappe-bench/apps/frappe/frappe/public/js/lib/tag-it.min.js
Wrote ./assets/js/libs.min.js - 807k

spoojary@spoojary-home:~/frappe-bench $ bench version
erpnext 7.2.30
frappe 7.2.30

Other than that, I don’t see anything suspicious with the installation…

Sorry about the inconvenience caused. Fix was pushed today for this issue.

Thanks, good to know that I wasn’t doing something stupid!

On the other hand, I would like to stick to a known good version, till I get used to ERPNext. Is there any way of doing that using bench command? Like upgrade to only stable versions?

Hi @KanchanChauhan,

Is this really fixed? I did a ‘bench update’, but still seeing the same issue. Do I also need to restart from a new site?

I kept on trying the same commands, experimenting with various versions, and some how it worked after switching to development version. I have absolutely no idea why it didn’t work earlier and why it worked now!

Hi @KanchanChauhan

I have also updated the bench and switched to develop branch still getting the same issue (Attached the screen shot below).
Please suggest how to proceed.

For what it is worth, I have been having this issue every time I create a new bench. I haven’t figured out the right combination that works, but the error goes away after 2-3 retries, sometimes with bench restart. There is so much going on in the background during initial setup, so I gave up trying to troubleshoot the real issue :frowning:

I am also having this issue.

FWIW my experience report -

The day before yesterday I tried to update to current the VM download version 7.2.14!?

As a skill test I aimed to check into the update problem, or just confirm the steps to success.

To get a working instance I spent 4 hours and realized my naivete - a new lone user would IMO be seriously discouraged.

My problem seems to be with the socket.io js ‘strict mode’ syntax error!?

For now I lack motivation to dive into this issue and resume my learning experience.

I will be glad to the day when the build is child’s play…